at.chipkarte.client.base.soap.exceptions

## Class PatientServiceExceptionContent

- Object
- - at.chipkarte.client.base.soap.exceptions.BaseExceptionContent
  - - at.chipkarte.client.base.soap.exceptions.PatientServiceExceptionContent

-     public class PatientServiceExceptionContent
      extends BaseExceptionContent

  Exception-Inhalt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientServiceExceptionContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Anspruch[]` | `getAnsprueche()`
    `ErsatzbelegInfo` | `getErsatzbeleginfo()`
    `SvPersonV2` | `getSvPerson()`
    `String[]` | `getSvtCodes()`
    `void` | `setAnsprueche(Anspruch[] ansprueche)`
    `void` | `setErsatzbeleginfo(ErsatzbelegInfo ersatzbeleginfo)`
    `void` | `setSvPerson(SvPersonV2 svPerson)`
    `void` | `setSvtCodes(String[] svtCodes)`

    - ### Methods inherited from class at.chipkarte.client.base.soap.exceptions.BaseExceptionContent

      `getCode, getErrorCode, getMessage, setCode, setErrorCode, setMessage`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatientServiceExceptionContent

          public PatientServiceExceptionContent()

  - ### Method Detail

    - #### getErsatzbeleginfo

          public ErsatzbelegInfo getErsatzbeleginfo()

      Returns:
        Informationen zu einem vorhandenen Ersatzbeleg.

    - #### setErsatzbeleginfo

          public void setErsatzbeleginfo(ErsatzbelegInfo ersatzbeleginfo)

    - #### getSvPerson

          public SvPersonV2 getSvPerson()

      Returns:
        Daten des Patienten.

    - #### setSvPerson

          public void setSvPerson(SvPersonV2 svPerson)

    - #### getSvtCodes

          public String[] getSvtCodes()

      Returns:
        SVT Liste.

    - #### setSvtCodes

          public void setSvtCodes(String[] svtCodes)

      Parameters:
        `svtCodes` - SVT Liste.

    - #### getAnsprueche

          public Anspruch[] getAnsprueche()

    - #### setAnsprueche

          public void setAnsprueche(Anspruch[] ansprueche)